DescriptionFile Reference Manual

# DescriptionFile

## Object Hierarchy:

## Description:

public class DescriptionFile : `Object`

Represents a device description document and offers methods for easy manipulation of those.

Package: librygel-core

## Content:

### Creation methods:

- public DescriptionFile (`string` template) throws `Error`
  Constructor to load a description file from disk
- public DescriptionFile.from_xml_document (`XMLDoc` doc)
  Constructor which wraps an existing GUPnP.XMLDoc as a description file.

### Methods:

- public void set_device_type (`string` device_type)
  Change the type of a service.
- public void set_model_name (`string` model_name)
  Modify the model name.
- public void set_model_number (`string` model_number)
  Modify the model number.
- public void set_friendly_name (`string` friendly_name)
  Set the friendly name of the device.
- public `string` get_friendly_name ()
  Get the current friendly name of the device.
- public void modify_service_type (`string` old_type, `string` new_type)
  Change the type of a service.
- public void save (`string` path) throws `Error`
  Writes the current document to a file.